GNU bug report logs - #27136
doc: cat: explain what is "standard input"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Severity: wishlist; Reported by: kalle <kalle@HIDDEN>; dated Mon, 29 May 2017 21:07:02 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Changed bug title to 'doc: cat: explain what is "standard input"' from 'info coreutils' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 27136 <at> debbugs.gnu.org:


Received: (at 27136) by debbugs.gnu.org; 13 Aug 2017 18:23:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 13 14:23:00 2017
Received: from localhost ([127.0.0.1]:60408 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dgxXP-0007Yl-Uh
	for submit <at> debbugs.gnu.org; Sun, 13 Aug 2017 14:23:00 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:51070)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1dgxXN-0007Ye-ST
 for 27136 <at> debbugs.gnu.org; Sun, 13 Aug 2017 14:22:58 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id BB35A160759;
 Sun, 13 Aug 2017 11:22:51 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 6YrMqmoFqMBs; Sun, 13 Aug 2017 11:22:49 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id B1C3116085F;
 Sun, 13 Aug 2017 11:22:49 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id OxoDETyyCHr2; Sun, 13 Aug 2017 11:22:49 -0700 (PDT)
Received: from [192.168.1.9] (unknown [47.153.184.153])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 937FD160759;
 Sun, 13 Aug 2017 11:22:49 -0700 (PDT)
Subject: Re: bug#27136: info coreutils
To: kalle <kalle@HIDDEN>, 27136 <at> debbugs.gnu.org
References: <4e2d27dc-47a3-0152-b6fd-3946b8ec27b7@HIDDEN>
 <b4b2783a-7663-94a5-88ad-50f43423f4e0@HIDDEN>
 <4082f94b-7c75-a04e-01a9-9bddfcdd6597@HIDDEN>
 <1b34d6c7-aa8f-2055-d90f-a427e3bda043@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <cc18543c-e5c4-2647-62a2-0d3387b3b310@HIDDEN>
Date: Sun, 13 Aug 2017 11:22:49 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1
MIME-Version: 1.0
In-Reply-To: <1b34d6c7-aa8f-2055-d90f-a427e3bda043@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 27136
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

kalle wrote:
> no one is responding anymore. No change in cat-Documentation then?

Nothing so far, yes. No specific wording changes have been proposed, as far as I 
can see from <https://bugs.gnu.org/27136>. You can propose a wording change by 
sending us the output of "diff -u" or "git send-email" or something like that. 
It's OK if you don't have time to do that, as this is evidently low-priority.




Information forwarded to bug-coreutils@HIDDEN:
bug#27136; Package coreutils. Full text available.

Message received at 27136 <at> debbugs.gnu.org:


Received: (at 27136) by debbugs.gnu.org; 13 Aug 2017 10:23:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 13 06:23:02 2017
Received: from localhost ([127.0.0.1]:59225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dgq2v-0006mz-Uj
	for submit <at> debbugs.gnu.org; Sun, 13 Aug 2017 06:23:02 -0400
Received: from mail.netzguerilla.net ([217.11.57.120]:49783)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kalle@HIDDEN>) id 1dgq2u-0006mX-2m
 for 27136 <at> debbugs.gnu.org; Sun, 13 Aug 2017 06:23:00 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.netzguerilla.net (Postfix) with ESMTP id A59A8100015;
 Sun, 13 Aug 2017 12:22:52 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at netzguerilla.net
Received: from mail.netzguerilla.net ([217.11.57.120])
 by localhost (sal.netzguerilla.net [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id GWLXjkLEeztZ; Sun, 13 Aug 2017 12:22:51 +0200 (CEST)
Received: from [IPv6:2003:dd:fbc6:2801:6999:fd8b:b9ea:a5f0]
 (p200300DDFBC628016999FD8BB9EAA5F0.dip0.t-ipconnect.de
 [IPv6:2003:dd:fbc6:2801:6999:fd8b:b9ea:a5f0])
 by mail.netzguerilla.net (Postfix) with ESMTPSA id 46A86100013;
 Sun, 13 Aug 2017 12:22:51 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=projektwerkstatt.de;
 s=fckp; t=1502619771;
 bh=+SjAAXXOdSlcegtgM9l4rfKJU93ez6bZfvTUs5kAVZ8=;
 h=Subject:From:To:References:Date:In-Reply-To:From;
 b=REaxvrbKUghVpzSgzlO6IDz8W7ZM7IbLA8UJ8po0mQ018klgloWrMvyYSvJIb+Nxx
 HZXSdUIXJSZgHEttXHRJ96QvgJRJPnatPzHUQv6u478OQlITl56b8ZbhNP+sFkyaiR
 7AAYlVh+C8JwkFvxqPxiDVRVyhEqsmrJxA+KG+uBS4htF+m4JiTYZInE0jVvkBY3Fi
 FZ2gEm5NVrNpb6+koQM+3tUDa/7KBUO6ZPBwG/kGayJTuLc3fbCiRW5AF40ait5ttE
 XNcrmFfH+mciKV5uvIp/Xffzu3gfBjXNp3tjuIw/QSp/C0+YB9MQz+/jrC6c+r/K1S
 V0Hp+598EadrQ==
Subject: Re: bug#27136: info coreutils
From: kalle <kalle@HIDDEN>
To: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>, 27136 <at> debbugs.gnu.org
References: <4e2d27dc-47a3-0152-b6fd-3946b8ec27b7@HIDDEN>
 <b4b2783a-7663-94a5-88ad-50f43423f4e0@HIDDEN>
 <4082f94b-7c75-a04e-01a9-9bddfcdd6597@HIDDEN>
Message-ID: <1b34d6c7-aa8f-2055-d90f-a427e3bda043@HIDDEN>
Date: Sun, 13 Aug 2017 12:22:46 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.1.1
MIME-Version: 1.0
In-Reply-To: <4082f94b-7c75-a04e-01a9-9bddfcdd6597@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: de-DE
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27136
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

hmm. no one is responding anymore. No change in cat-Documentation then?

Am 25.07.2017 um 00:31 schrieb kalle:
> 
> 
> Am 30.05.2017 um 00:08 schrieb Pádraig Brady:
>> On 29/05/17 14:06, kalle wrote:
>>> hello,
>>> I think it is not obvious for everyone how to deal with Standard Input in the `cat'-command. I took some time to figure out, that Ctrl-d  aborts it. and just now I realized, that EOF the first time acts to terminate a so called "record" (I got the term from "info coreutils 'tac'"), and applied twice terminates the Standard Input. If <newline> was typed before it is enough to type it once.
>>> So I think it would be helpful for some people if in the documentations man/info cat there would be at least a reference, if not a short explanation how to deal with Standard Input.
>>
>> Note this is nothing specific to cat or coreutils for that matter.
>> This applies to all programs and is specific to the terminal driver.
> 
>> Now where info like this should be documented is an interesting question.
> 
> maybe in a general unix-introduction. Then for all commands, where "end
> input" has to be given in instead of Enter/linefeed, it should  be
> referred to some explaining text. There could be a manual about the role
> of terminal drivers, possibly man 7.
> 
>> Perhaps coreutils should take some responsibility for documenting such things?
>>
>> Anyway some info for what is happening here...
>> Note there is no "record" distinction here.
>> The Ctrl-d combo just means "end input". I.E. send pending input to the program.
>> When there is text on the line already this is sent, and usually (as cat does too)
>> the program will read() again looking for more input. If you send pending input
>> on an empty line, then the program will get zero bytes and usually quit.
>> You can see this with:
>>
>>   strace -e read cat
>>
>> Note the Ctrl-d combo can be changed in the terminal driver
>> using the slightly misnamed eof stty setting:
>>
>>   $ stty -a | grep eof
>>   intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = <undef>;
>>
>> cheers,
>> Pádraig
>>




Information forwarded to bug-coreutils@HIDDEN:
bug#27136; Package coreutils. Full text available.

Message received at 27136 <at> debbugs.gnu.org:


Received: (at 27136) by debbugs.gnu.org; 29 May 2017 22:08:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 29 18:08:37 2017
Received: from localhost ([127.0.0.1]:43898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dFSq4-0004O9-VQ
	for submit <at> debbugs.gnu.org; Mon, 29 May 2017 18:08:37 -0400
Received: from mail.magicbluesmoke.com ([82.195.144.49]:52298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <P@HIDDEN>) id 1dFSq3-0004Nz-4R
 for 27136 <at> debbugs.gnu.org; Mon, 29 May 2017 18:08:35 -0400
Received: from localhost.localdomain (mobile-166-137-177-171.mycingular.net
 [166.137.177.171])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by mail.magicbluesmoke.com (Postfix) with ESMTPSA id CD08F9502;
 Mon, 29 May 2017 23:08:30 +0100 (IST)
Subject: Re: bug#27136: info coreutils
To: kalle <kalle@HIDDEN>, 27136 <at> debbugs.gnu.org
References: <4e2d27dc-47a3-0152-b6fd-3946b8ec27b7@HIDDEN>
From: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>
Message-ID: <b4b2783a-7663-94a5-88ad-50f43423f4e0@HIDDEN>
Date: Mon, 29 May 2017 15:08:27 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
In-Reply-To: <4e2d27dc-47a3-0152-b6fd-3946b8ec27b7@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27136
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On 29/05/17 14:06, kalle wrote:
> hello,
> I think it is not obvious for everyone how to deal with Standard Input in the `cat'-command. I took some time to figure out, that Ctrl-d  aborts it. and just now I realized, that EOF the first time acts to terminate a so called "record" (I got the term from "info coreutils 'tac'"), and applied twice terminates the Standard Input. If <newline> was typed before it is enough to type it once.
> So I think it would be helpful for some people if in the documentations man/info cat there would be at least a reference, if not a short explanation how to deal with Standard Input.

Note this is nothing specific to cat or coreutils for that matter.
This applies to all programs and is specific to the terminal driver.
Now where info like this should be documented is an interesting question.
Perhaps coreutils should take some responsibility for documenting such things?

Anyway some info for what is happening here...
Note there is no "record" distinction here.
The Ctrl-d combo just means "end input". I.E. send pending input to the program.
When there is text on the line already this is sent, and usually (as cat does too)
the program will read() again looking for more input. If you send pending input
on an empty line, then the program will get zero bytes and usually quit.
You can see this with:

  strace -e read cat

Note the Ctrl-d combo can be changed in the terminal driver
using the slightly misnamed eof stty setting:

  $ stty -a | grep eof
  intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = <undef>;

cheers,
Pádraig




Information forwarded to bug-coreutils@HIDDEN:
bug#27136; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 May 2017 21:06:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 29 17:06:44 2017
Received: from localhost ([127.0.0.1]:43868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dFRsC-00018H-Nq
	for submit <at> debbugs.gnu.org; Mon, 29 May 2017 17:06:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kalle@HIDDEN>) id 1dFRsA-000183-Py
 for submit <at> debbugs.gnu.org; Mon, 29 May 2017 17:06:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kalle@HIDDEN>) id 1dFRs4-0001g1-Qg
 for submit <at> debbugs.gnu.org; Mon, 29 May 2017 17:06:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55456)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <kalle@HIDDEN>)
 id 1dFRs4-0001fx-NI
 for submit <at> debbugs.gnu.org; Mon, 29 May 2017 17:06:36 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57585)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kalle@HIDDEN>) id 1dFRs3-0007PQ-Mr
 for bug-coreutils@HIDDEN; Mon, 29 May 2017 17:06:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kalle@HIDDEN>) id 1dFRs0-0001fK-J1
 for bug-coreutils@HIDDEN; Mon, 29 May 2017 17:06:35 -0400
Received: from mail.netzguerilla.net ([217.11.57.120]:46977)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <kalle@HIDDEN>)
 id 1dFRs0-0001et-7t
 for bug-coreutils@HIDDEN; Mon, 29 May 2017 17:06:32 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.netzguerilla.net (Postfix) with ESMTP id A06F8100015
 for <bug-coreutils@HIDDEN>; Mon, 29 May 2017 23:06:27 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at netzguerilla.net
Received: from mail.netzguerilla.net ([IPv6:2a00:1828:2000:612::25])
 by localhost (sal.netzguerilla.net [IPv6:::1]) (amavisd-new, port 10024)
 with ESMTP id kWLKjngKVeBv for <bug-coreutils@HIDDEN>;
 Mon, 29 May 2017 23:06:26 +0200 (CEST)
Received: from [192.168.1.102] (unknown [2.166.148.172])
 by mail.netzguerilla.net (Postfix) with ESMTPSA id 57735100014
 for <bug-coreutils@HIDDEN>; Mon, 29 May 2017 23:06:26 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=projektwerkstatt.de;
 s=fckp; t=1496091986;
 bh=Jz1xAzmaNkEmyI5w86opT+Q5MnVazZ6IUs8eXVAfooA=;
 h=To:From:Subject:Date:From;
 b=hjEFI378L/sPACdpuKYTCfRwo5CUyEH+ZzbR8ajrshnoujl+uBgsn2u3AvF7yM4sp
 lV4afV2DZMQnkggiHgP2jCsNI7azs6nKtcZ8MCXyEOEmstrE1OvaZ/WHDuhywKxkWB
 wdihROR9lZayH3O32KDP0nIC14CzGzEXCTb7uL8gGel09b9yasrhfS9k8bqEfUhPRJ
 iCK7ZFEYTAeWwImAIhZ3RWHo/ktNKQljrfDw7qLHKD/vy6U5obSDv9CjAgWC4Ph6YZ
 0jIOi51dwzQGFf2gguI7y4BuqsWdEZeFP9P++1191odQYmUAXir2mY31drIY/wxe3p
 zY2gCwMyz4+qw==
To: bug-coreutils@HIDDEN
From: kalle <kalle@HIDDEN>
Subject: info coreutils
Message-ID: <4e2d27dc-47a3-0152-b6fd-3946b8ec27b7@HIDDEN>
Date: Mon, 29 May 2017 23:06:23 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------0F23B83D189585745EBABA7B"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This is a multi-part message in MIME format.
--------------0F23B83D189585745EBABA7B
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit


--------------0F23B83D189585745EBABA7B
Content-Type: text/plain; charset=UTF-8;
 name="bug-coreutils@HIDDEN"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="bug-coreutils@HIDDEN"

aGVsbG8sCkkgdGhpbmsgaXQgaXMgbm90IG9idmlvdXMgZm9yIGV2ZXJ5b25lIGhvdyB0byBk
ZWFsIHdpdGggU3RhbmRhcmQgSW5wdXQgaW4gdGhlIGBjYXQnLWNvbW1hbmQuIEkgdG9vayBz
b21lIHRpbWUgdG8gZmlndXJlIG91dCwgdGhhdCBDdHJsLWQgIGFib3J0cyBpdC4gYW5kIGp1
c3Qgbm93IEkgcmVhbGl6ZWQsIHRoYXQgRU9GIHRoZSBmaXJzdCB0aW1lIGFjdHMgdG8gdGVy
bWluYXRlIGEgc28gY2FsbGVkICJyZWNvcmQiIChJIGdvdCB0aGUgdGVybSBmcm9tICJpbmZv
IGNvcmV1dGlscyAndGFjJyIpLCBhbmQgYXBwbGllZCB0d2ljZSB0ZXJtaW5hdGVzIHRoZSBT
dGFuZGFyZCBJbnB1dC4gSWYgPG5ld2xpbmU+IHdhcyB0eXBlZCBiZWZvcmUgaXQgaXMgZW5v
dWdoIHRvIHR5cGUgaXQgb25jZS4KU28gSSB0aGluayBpdCB3b3VsZCBiZSBoZWxwZnVsIGZv
ciBzb21lIHBlb3BsZSBpZiBpbiB0aGUgZG9jdW1lbnRhdGlvbnMgbWFuL2luZm8gY2F0IHRo
ZXJlIHdvdWxkIGJlIGF0IGxlYXN0IGEgcmVmZXJlbmNlLCBpZiBub3QgYSBzaG9ydCBleHBs
YW5hdGlvbiBob3cgdG8gZGVhbCB3aXRoIFN0YW5kYXJkIElucHV0Lgo=
--------------0F23B83D189585745EBABA7B--




Acknowledgement sent to kalle <kalle@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#27136; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 29 Oct 2018 03:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.